[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TCollection.Add

Creates and adds a new item to the collection.

## Declaration

Source position: classesh.inc line 552

`public function TCollection.Add: TCollectionItem;`

## Description

Add instantiates a new item of class TCollection.ItemClass and adds it to the list. The newly created object is returned.

## See also

TCollection.ItemClass |  | Class pointer for each item in the collection.
TCollection.Clear |  | Removes all items from the collection.

Documentation generated on: Feb 26 2014